List approved WABA templates
curl --request GET \
--url https://api.d-api.cloud/api/v1/connections/cloud-api/{id}/templates \
--header 'Authorization: <api-key>'import requests
url = "https://api.d-api.cloud/api/v1/connections/cloud-api/{id}/templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.d-api.cloud/api/v1/connections/cloud-api/{id}/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": "<unknown>",
"error": "<string>",
"code": "<string>"
}Cloud API
List approved WABA templates
List the APPROVED message templates for the connection’s WhatsApp Business Account. data is an array of template objects (name, language, category, status, components) as returned by Meta. Use these name/language values when sending via POST /messages/send/template.
GET
/
api
/
v1
/
connections
/
cloud-api
/
{id}
/
templates
List approved WABA templates
